package com.patzn.lims.consume.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.patzn.lims.consume.vo.LmsChemicalDeliveryOrderVO;
import com.patzn.lims.core.web.Account;
import com.patzn.lims.core.web.IBaseService;
import com.patzn.lims.consume.entity.LmsChemicalDeliveryOrder;
import com.patzn.lims.workflow.FlowProcess;

import java.util.List;

/**
 * <p>
 * 试验耗材出库单表 服务类
 * </p>
 *
 * @author wwd
 * @since 2020-03-25
 */
public interface ILmsChemicalDeliveryOrderService extends IBaseService<LmsChemicalDeliveryOrder> {

    Page<LmsChemicalDeliveryOrder> page(Page<LmsChemicalDeliveryOrder> page, LmsChemicalDeliveryOrderVO lmsChemicalDeliveryOrder);


    boolean save(boolean approve, LmsChemicalDeliveryOrder lmsChemicalDeliveryOrder,Long userId);


    List<FlowProcess> submitDeliveryFlow(Long[] ids, Long sendUserId);


    boolean approveDeliveryFlow(String taskId, String allow, String postil, String step);


    boolean approvePurchaseFlowNews(String taskId, String postil,String allow, Long orderId,Long userId);


    Page<LmsChemicalDeliveryOrder> pageWaitDelivery(Page<LmsChemicalDeliveryOrder> page, LmsChemicalDeliveryOrderVO lmsChemicalDeliveryOrder);



    boolean finishById(Account account, Long id, String remark);
}
